# Method: projects.patchJobs.instanceDetails.list

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.ListPatchJobInstanceDetailsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails/list#try-it)

Get a list of instance details for a given patch job.

### HTTP request

`GET https://osconfig.googleapis.com/v1/{parent=projects/*/patchJobs/*}/instanceDetails`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent for the instances are in the form of `projects/*/patchJobs/*`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of instance details records to return. Default is 100. |
| `pageToken` | `string` A pagination token returned from a previous call that indicates where this listing should continue from. |
| `filter` | `string` A filter expression that filters results listed in the response. This field supports filtering results by instance zone, name, state, or `failureReason`. |

### Request body

The request body must be empty.

### Response body

A response message for listing the instances details for a patch job.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "patchJobInstanceDetails": [ { object (`https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails#PatchJobInstanceDetails`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `patchJobInstanceDetails[]` | ``object (`https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchJobs.instanceDetails#PatchJobInstanceDetails`)`` A list of instance status. |
| `nextPageToken` | `string` A pagination token that can be used to get the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `osconfig.patchJobs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).